| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Public Attributes | List of all members
IIncidentSvc::IncidentPack Class Reference

`#include <GaudiKernel/IIncidentSvc.h>`

Collaboration diagram for IIncidentSvc::IncidentPack:
[legend]

## Public Member Functions
| IncidentPack (IncidentPack &&o)
IncidentPack & | operator= (IncidentPack &&o)
| IncidentPack ()

## Public Attributes
std::vector< std::unique_ptr< Incident > > | incidents
std::vector< std::vector< IIncidentListener * > > | listeners

## Detailed Description

Definition at line 49 of file IIncidentSvc.h.

## Constructor & Destructor Documentation

## ◆ IncidentPack() [1/2]

IIncidentSvc::IncidentPack::IncidentPack | ( | IncidentPack && | o | ) |
| inline

Definition at line 53 of file IIncidentSvc.h.

53 : incidents( std::move( o.incidents ) ), listeners( std::move( o.listeners ) ){};
IIncidentSvc::IncidentPack::incidents
std::vector< std::unique_ptr< Incident > > incidents
Definition: IIncidentSvc.h:51
IIncidentSvc::IncidentPack::listeners
std::vector< std::vector< IIncidentListener * > > listeners
Definition: IIncidentSvc.h:52
std::move
T move(T... args)

## ◆ IncidentPack() [2/2]

IIncidentSvc::IncidentPack::IncidentPack | ( |  | ) |
| inline

Definition at line 59 of file IIncidentSvc.h.

59 {};

## Member Function Documentation

## ◆ operator=()

IncidentPack& IIncidentSvc::IncidentPack::operator= | ( | IncidentPack && | o | ) |
| inline

Definition at line 54 of file IIncidentSvc.h.

54 {
55 incidents = std::move( o.incidents );
56 listeners = std::move( o.listeners );
57 return *this;
58 };
IIncidentSvc::IncidentPack::incidents
std::vector< std::unique_ptr< Incident > > incidents
Definition: IIncidentSvc.h:51
IIncidentSvc::IncidentPack::listeners
std::vector< std::vector< IIncidentListener * > > listeners
Definition: IIncidentSvc.h:52
std::move
T move(T... args)

## Member Data Documentation

## ◆ incidents

std::vector<std::unique_ptr<Incident> > IIncidentSvc::IncidentPack::incidents

Definition at line 51 of file IIncidentSvc.h.

## ◆ listeners

std::vector<std::vector<IIncidentListener*> > IIncidentSvc::IncidentPack::listeners

Definition at line 52 of file IIncidentSvc.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IIncidentSvc.h